apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: argocd-server
  namespace: argocd
  annotations:
    "helm.sh/hook": post-install,post-upgrade,post-rollback
spec:
  entryPoints:
    - websecure
  routes:
    - kind: Rule
      match: Host(`argocd.{{ .Values.clusterInfraSubDomain }}.{{ .Values.ingressDomain }}`) && Path(`/api/webhook`) && Method(`POST`)
      priority: 12
      services:
        - name: argocd-server
          port: 80
    - kind: Rule
      match: Host(`argocd.{{ .Values.clusterInfraSubDomain }}.{{ .Values.ingressDomain }}`)
      priority: 10
      services:
        - name: argocd-server
          port: 80
      middlewares:
      {{- if $.Values.secureClusterInfra }}
        - name: traefik-traefik-forward-auth-cluster-infra@kubernetescrd
      {{- end }}
    - kind: Rule
      match: Host(`argocd.{{ .Values.clusterInfraSubDomain }}.{{ .Values.ingressDomain }}`) && Headers(`Content-Type`, `application/grpc`)
      priority: 11
      services:
        - name: argocd-server
          port: 80
          scheme: h2c
      middlewares:
      {{- if $.Values.secureClusterInfra }}
        - name: traefik-traefik-forward-auth-cluster-infra@kubernetescrd
      {{- end }}
  tls:
    certResolver: ourcertresolver
    #options: {}